module Mobile
  module Middleware
    class ErrorHandler < Grape::Middleware::Base
      def call!(env)
        @env = env
        begin
          @app.call(@env)
        rescue =>e
          message = {status: 1, message: e.message }.to_json
          puts(e.backtrace.join("\n")) if Rails.env.development?
          status = 200
          headers = { 'Content-Type' => content_type }
          Rack::Response.new([message], status, headers).finish
          # throw :error, :message => e.message || options[:default_message], :status => 500
        end
      end
    end
  end
end
